Package org.apache.xmlbeans.impl.tool

## Class XSTCTester

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.XSTCTester

-     public class XSTCTester
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `XSTCTester.Harness` |
    `static class` | `XSTCTester.TestCase` |
    `static class` | `XSTCTester.TestCaseResult` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XSTCTester()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `errorReported​(String errorCode, Collection<XmlError> set)` |
    `static void` | `main​(String[] args)` |
    `static String` | `makeHTMLDescription​(XSTCTester.TestCase testCase)` |
    `static String` | `makeHTMLLink​(File file, boolean value)` |
    `static XSTCTester.TestCase[]` | `parseLTGFile​(File ltgFile, Collection<String> outerErrors)` |
    `static void` | `printUsage()` |
    `static void` | `summarizeResultAsHTMLTableRows​(XSTCTester.TestCaseResult result, PrintWriter out, boolean errcode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSTCTester

          public XSTCTester()

  - ### Method Detail

    - #### printUsage

          public static void printUsage()

    - #### main

          public static void main​(String[] args)
                           throws IOException

      Throws:
        `IOException`

    - #### makeHTMLLink

          public static String makeHTMLLink​(File file,
                                            boolean value)

    - #### makeHTMLDescription

          public static String makeHTMLDescription​(XSTCTester.TestCase testCase)

    - #### summarizeResultAsHTMLTableRows

          public static void summarizeResultAsHTMLTableRows​(XSTCTester.TestCaseResult result,
                                                            PrintWriter out,
                                                            boolean errcode)

    - #### parseLTGFile

          public static XSTCTester.TestCase[] parseLTGFile​(File ltgFile,
                                                           Collection<String> outerErrors)

    - #### errorReported

          public static boolean errorReported​(String errorCode,
                                              Collection<XmlError> set)